package com.test.level5.util;

import java.net.URL;

import org.eclipse.swt.graphics.Image;
import org.junit.*;
import org.mockito.Mockito;
import org.osgi.framework.Bundle;

public class ImageCacheTest {

	/**
	 * Testing the method public static Image getImage(final Bundle bundle, final URL url) {
	 */
	@Test
	public void testGetImage(){
		Bundle bundle = Mockito.mock(Bundle.class);
		URL url =  getClass().getResource("/img.jpg");
		//Null object
		Assert.assertNull("Wrong parameters should return null",getClass().getImage(bundle, (URL)null));

		//Null object
		Assert.assertNull("Wrong parameters should return null",getClass().getImage((Bundle)null, url));
		
		//Correct image
		Image image = getClass().getImage(bundle, url);
		Assert.assertNotNull("Image should be present",image);

		//Cached image
		Image cachedImage = getClass().getImage(bundle, url);
		Assert.assertEquals("Cached image is not the same",image, cachedImage);
	}  
}
