package com.test.level5.util;

import java.net.URL;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.viewers.DecorationOverlayIcon;
import org.eclipse.jface.viewers.IDecoration;
import org.eclipse.swt.graphics.Image;
import org.osgi.framework.Bundle;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public final class ImageCache {

	private ImageCache() {
	}

	public static Image getImage(final Bundle bundle, final URL uri) {
		return getImage(bundle, uri.toString());
        }

	public static Image getImage(final Bundle bundle, final String uri) {
		if (bundle == null || uri == null) {
			return null;
		}
                Map<String, Image> images = new ConcurrentHashMap<String, Image>();
		Image image = images.get(uri);

		if (image != null) {
	        	return image;
		}

		return null;
	}

}
